org.jbpm.services.task.audit.commands

## Class BAMTaskSummaryQueryCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<BAMTaskSummaryImpl>>
  - - org.jbpm.services.task.audit.commands.BAMTaskSummaryQueryCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<BAMTaskSummaryImpl>>, org.kie.api.command.ExecutableCommand<List<BAMTaskSummaryImpl>>

      public class BAMTaskSummaryQueryCommand
      extends TaskCommand<List<BAMTaskSummaryImpl>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAMTaskSummaryQueryCommand()`
    `BAMTaskSummaryQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<BAMTaskSummaryImpl>` | `execute(org.kie.api.runtime.Context cntxt)`
    `org.jbpm.query.jpa.data.QueryWhere` | `getQueryWhere()`
    `void` | `setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BAMTaskSummaryQueryCommand

          public BAMTaskSummaryQueryCommand()

    - #### BAMTaskSummaryQueryCommand

          public BAMTaskSummaryQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### getQueryWhere

          public org.jbpm.query.jpa.data.QueryWhere getQueryWhere()

    - #### setQueryWhere

          public void setQueryWhere(org.jbpm.query.jpa.data.QueryWhere queryWhere)

    - #### execute

          public List<BAMTaskSummaryImpl> execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.